summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 19:23:30 +0800
committerMichele Calgaro <michele.calgaro@yahoo.it>2020-11-15 19:23:30 +0800
commit0277521b268b21caf0ee21202b92784f302baadc (patch)
tree5d856f96adfbe46b57da31cf60daa1084b4e7a1e /ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm
parenteb16e7c7281e182297581fa8d565561869c81bca (diff)
downloadtde-packaging-0277521b.tar.gz
tde-packaging-0277521b.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm')
-rw-r--r--ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm30
1 files changed, 30 insertions, 0 deletions
diff --git a/ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm b/ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm
new file mode 100644
index 000000000..ecc9ea389
--- /dev/null
+++ b/ubuntu/_base/core/tdeutils/debian/klaptopdaemon-trinity.prerm
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+
+ remove)
+ /usr/sbin/dpkg-statoverride --quiet --remove /usr/trinity/bin/klaptop_acpi_helper > /dev/null 2>&1 || true
+ if [ -e /usr/trinity/bin/klaptop_acpi_helper ]; then
+ chown root:root /usr/trinity/bin/klaptop_acpi_helper
+ chmod 0755 /usr/trinity/bin/klaptop_acpi_helper
+ fi
+ ;;
+
+ upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0